package com.jinhaiqimeng.sysManageMicroservice.web.dto;

import com.jinhaiqimeng.sysManageMicroservice.web.vo.common.BaseListDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author zp
 * @date 2023-12-07 16:50
 */
@Data
@ApiModel(value = "PushMessageListDTO",description = "消息推送列表DTO")
public class PushMessageListDTO extends BaseListDTO implements Serializable {
    @ApiModelProperty(value = "消息id")
    private Long messageld;

    @ApiModelProperty(value = "消息操作开始时间")
    private String messageOperationStartTime;

    @ApiModelProperty(value = "消息操作结束时间")
    private String messageOperationEndTime;

    @ApiModelProperty(value = "消息推送开始时间")
    private String messagePushStartTime;

    @ApiModelProperty(value = "消息推送结束时间")
    private String messagePushEndTime;

    @ApiModelProperty(value = "消息推送状态1已推送2末推送")
    private Integer messagePushStatus;

    @ApiModelProperty(value = "消息标题")
    private String messageTitle;

}
