package com.jinhaiqimeng.sysManageMicroservice.web.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jinhaiqimeng.sysManageMicroservice.web.vo.common.BaseListDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author zp
 * @date 2023-12-07 16:50
 */
@Data
@ApiModel(value = "PushMessageSaveDTO",description = "保存消息推送DTO")
public class PushMessageSaveDTO implements Serializable {
    @ApiModelProperty(value = "消息标题")
    private String messageTitle;

    @ApiModelProperty(value = "消息描述")
    private String messageDescription;

    @ApiModelProperty(value = "消息推送时间")
    private String messagePushTime;

}
